
Zyxel GS1900-24HP network switch Managed Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black
Model GS1900-24HPPart no. GS190024HPV2-GB0101FEAN 4718937609512
20 specifications
- ColourBlack
- Switch typeManaged
- Basic switching RJ-45 Ethernet ports quantity24
- Copper ethernet cabling technology1000BASE-T, 100BASE-T, 10BASE-T
- MAC address filteringYes
- Management protocolsSNMP v1,v2,v3, RMON (1,2,3,9)
Overview
- Colour
- Black
- Switch type
- Managed
- Basic switching RJ-45 Ethernet ports quantity
- 24
- Copper ethernet cabling technology
- 1000BASE-T, 100BASE-T, 10BASE-T
- MAC address filtering
- Yes
- Management protocols
- SNMP v1,v2,v3, RMON (1,2,3,9)
- Brand
- Zyxel
- Category
- Network Switch
- Model
- GS1900-24HP
- Part numbers
- GS190024HPV2-GB0101F, GS1900-24HP, GS1900-24HP-EU0101F, GS1900-24HP-GB0101F, GS190024HPV2-EU0101F
- EAN / UPC
- 4718937609512, 132018551370, 734911161207, 760559121037 +13 more
- Also known as
- Zyxel GS1900-24HP network switch Managed Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black
Specifications
20 specifications in 8 groups
Management features
| Specification | Value |
|---|---|
| Switch type | Managed |
| Quality of Service (QoS) support | Yes |
| MIB support | RFC 1213 MIB II, RFC 2819, RFC 1215, RFC 1493 |
Ports & interfaces
| Specification | Value |
|---|---|
| Basic switching RJ-45 Ethernet ports quantity | 24 |
| Basic switching RJ-45 Ethernet ports type | Gigabit Ethernet (10/100/1000) |
| Gigabit Ethernet (copper) ports quantity | 24 |
| SFP module slots quantity | 2 |
Network
| Specification | Value |
|---|---|
| Networking standards | IEEE 802.1p, IEEE 802.3, IEEE 802.3ab, IEEE 802.3af, IEEE 802.3at, IEEE 802.3az, IEEE 802.3u, IEEE 802.3x |
| Copper ethernet cabling technology | 1000BASE-T, 100BASE-T, 10BASE-T |
| Broadcast storm control | Yes |
| Flow control support | Yes |
| Rate limiting | Yes |
Security
| Specification | Value |
|---|---|
| MAC address filtering | Yes |
| SSH/SSL support | Yes |
| Security algorithms | 802.1x RADIUS |
Protocols
| Specification | Value |
|---|---|
| Management protocols | SNMP v1,v2,v3, RMON (1,2,3,9) |
Design
| Specification | Value |
|---|---|
| Product colour | Black |
| Safety | LVD EN60950-1, BSMI CNS14336-1 |
Power over Ethernet (PoE)
| Specification | Value |
|---|---|
| Power over Ethernet (PoE) | Yes |
Certificates
| Specification | Value |
|---|---|
| Certification | CE, FCC, C-Tick, Class A (GS1900-8HP/24/24HP/48/48HP) CE, FCC, C-Tick, Class B (GS1900-8/16/24E) BSMI CNS13438 |
What people say
Reviews & ratings
Zyxel GS1900-24HP network switch Managed Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black
No reviews yet
Be the first to tell others how Zyxel GS1900-24HP network switch Managed Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black works for you.
Write the first review- Every rating countsLow ratings are never hidden, removed or pushed down.
- Written by people, never paidNo incentives, no edits — only spam and abuse are removed.
- Private by designOnly the name you choose is shown. No account, no e-mail, nothing tracked.
Compare Zyxel GS1900-24HP network switch Managed Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black
All network switch comparisons- Zyxel GS1900-24HP network switch Managed Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black vsZyxel ES-108S network switch Fast Ethernet (10/100) WhiteCompare specs
- Zyxel GS1900-24HP network switch Managed Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black vsZyxel GS-108S EECompare specs
- Zyxel GS1900-24HP network switch Managed Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black vsZyxel GS1900-24 network switch Managed Gigabit Ethernet (10/100/1000) BlackCompare specs
- Zyxel GS1900-24HP network switch Managed Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black vsZyxel GS1100-24E BlackCompare specs
- Zyxel GS1900-24HP network switch Managed Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black vsManhattan 8-Port Gigabit Ethernet Switch, Desktop Size, Plastic, IEEE 802.3az (Energy Efficient Ethernet), Three Year Warranty, BoxCompare specs
- Zyxel GS1900-24HP network switch Managed Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black vsManhattan 5-Port Gigabit Ethernet Switch, Desktop Size, Plastic, IEEE 802.3az (Energy Efficient Ethernet), Three Year Warranty, BoxCompare specs
- Zyxel GS1900-24HP network switch Managed Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black vsLevelOne 28-Port Web Smart Gigabit Switch, 4 x Gigabit SFP/RJ45 ComboCompare specs
- Zyxel GS1900-24HP network switch Managed Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black vsStarTech.com 8 Port Unmanaged Industrial Gigabit Power over Ethernet Switch - 802.3af/at PoE+ Switch - Wall MountableCompare specs
Similar products
All network switchesD-Link
DGS-3130 Series Gigabit Layer 3 Stackable Managed Switches
Model DGS-3130-30PS
- Noise
- 53.4 dB
- Weight
- 4.66 kg
- Colour
- Black, Grey
D-Link
48-port Layer 3 Stackable Managed Gigabit Switch including
Model DGS-3630-52TC
- Noise
- 53.9 dB
- Type
- 1U
- Weight
- 4.04 kg
D-Link
24-Port L3 Stackable Managed Gigabit Switch including
Model DGS-3630-28TC
- Noise
- 52.7 dB
- Type
- 1U
- Weight
- 3.74 kg
LevelOne
18-Port L2 Plus Managed Industrial PoE Switch
Model IGP-1871
- Memory
- 512 MB
- Weight
- 1.55 kg
- Colour
- Black
D-Link
24-Port SFP L3 Stackable Managed Gigabit Switch including
Model DGS-3630-28SC
- Noise
- 56 dB
- Type
- 1U
- Weight
- 3.79 kg
D-Link
28-Port Gigabit PoE+ Smart Managed Switch including
Model DGS-1210-28MP
- Memory
- 128 MB
- Noise
- 52.4 dB
- Type
- 1U
NETGEAR
M4350-36X4V network switch Managed L3
Model M4350-36X4V
- Processor
- ARM Cortex-A57
- Memory
- 4096 MB
- Noise
- 54 dB



















